> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.columnheaderstyle.md).

# ColumnHeaderStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Determines the styles of the column headers in a [ListView](/api/wisej.web/lists-and-grids/listview.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ColumnHeaderStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ColumnHeaderStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name             | Description                                                                                   |
| ---------------- | --------------------------------------------------------------------------------------------- |
| **Clickable**    | The column headers can be clicked and can carry out an action, such as sorting, when clicked. |
| **NonClickable** | The column headers are not clickable.                                                         |
| **None**         | The column header is not visible when in details view.                                        |

## Used By

| Name                                                                           | Description                              |
| ------------------------------------------------------------------------------ | ---------------------------------------- |
| [ListView.HeaderStyle](/api/wisej.web/lists-and-grids/listview.md#headerstyle) | Returns or sets the column header style. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.columnheaderstyle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
